package vue;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.JComponent;

import valeurs.Valeurs;

public class Histogramme extends JComponent {
    private Valeurs val;
    private Color[] colors = { Color.RED, Color.BLUE, Color.GREEN, Color.CYAN,
        Color.MAGENTA, Color.PINK };

    public Histogramme(Valeurs val) {
        this.val = val;
    }

    public void paintComponent(Graphics g) {
        int w = getWidth();
        int h = getHeight();
        if (isOpaque()) {
            g.setColor(getBackground());
            g.fillRect(0, 0, w, h);
        }
        int largeur = w / val.taille();
        double hauteurUnitaire = h / val.somme();
        for (int i = 0; i < val.taille(); i++) {
            int hr = (int) (hauteurUnitaire * val.valeur(i));
            g.setColor(colors[i % colors.length]);
            g.fillRect(i * largeur, h - hr, largeur, hr);
        }
    }
}